#!/bin/sh

#--------------------------------------
# ドキュメント用にヘッダファイルを生成
# [!] unstable/xdg-shell-unstable-v5.h は除く
# 
# 引数があれば、/usr/include のファイルもセット
#--------------------------------------

# xml ファイルがあるディレクトリ
path_prot=/usr/share/wayland-protocols

# wayland のヘッダファイルがあるディレクトリ
path_wlhead=/usr/include

# ヘッダファイルの生成先
path_inc=include

if [ ! -d "$path_inc" ];then
	mkdir "$path_inc"
fi

if [ "$1" != "" ];then
	ln -s ${path_wlhead}/wayland-client-protocol.h "$path_inc"
	ln -s ${path_wlhead}/wayland-util.h "$path_inc"
fi

IFS=$'\n'

for file in $(find "$path_prot" -name \*.xml)
do
	out=${file##*/}
	out=${out%.xml}.h

	# unstable/xdg-shell v5 は除く
	if [ "$out" == "xdg-shell-unstable-v5.h" ];then
		continue
	fi
	
	echo "$out"
 	wayland-scanner client-header "$file" "$path_inc/$out"
done
